Passer au contenu principal
POST
/
augment
/
scrape
/api/v1/augment/scrape
curl --request POST \
  --url https://api.venice.ai/api/v1/augment/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://example.com"
}
'
{
  "url": "https://example.com",
  "content": "<string>",
  "format": "markdown"
}
Cette API est expérimentale. Le format de la requête et de la réponse peut changer sans préavis.
Envoyez une URL publiquement accessible dans le champ url. L’API renvoie le contenu de la page en markdown. Le scraper essaie d’abord la prise en charge native du markdown du site cible (via Cloudflare Markdown for Agents), puis se rabat sur une extraction par navigateur headless. Certains sites qui bloquent l’accès automatisé (par exemple X/Twitter, Reddit) sont rejetés immédiatement avec une erreur 400. Tarification : 0,01 $ par requête.

Exemple (cURL)

curl -X POST https://api.venice.ai/api/v1/augment/scrape \
  -H "Authorization: Bearer $VENICE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://example.com"}'

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corps

application/json
url
string<uri>
requis

The URL to scrape

Exemple:

"https://example.com"

Réponse

Successfully scraped the URL

url
string
requis

The URL that was scraped

Exemple:

"https://example.com"

content
string
requis

The scraped content in markdown format

format
enum<string>
requis

The format of the scraped content

Options disponibles:
markdown